# Terra Icon


[![NPM version](https://badgen.net/npm/v/terra-icon)](https://www.npmjs.org/package/terra-icon)
[![Build Status](https://badgen.net/travis/cerner/terra-core)](https://travis-ci.com/cerner/terra-core)

The terra-icon component is used to visually represent a literal or symbolic object intended to initiate an action, communicate a status, or navigate the workflow.

- [Getting Started](#getting-started)
- [Documentation](https://engineering.cerner.com/terra-ui/components/cerner-terra-core-docs/icon/about)
- [LICENSE](#license)

## Using Terra Icon

- Install from [npmjs](https://www.npmjs.com): `npm install terra-icon`

## Adding new icons from the One Cerner Style Icons repo

    npm run migrate-ocs-icons

This will add any new or changed icons from https://github.com/cerner/one-cerner-style-icons to this project's icons. It generates all of the components and updates the example tables.

## Updating icon components

    npm run generate-icons

This will recreate the icon components from the current SVGs.

<!-- AUTO-GENERATED-CONTENT:START Peer Dependencies -->
## Peer Dependencies

This component requires the following peer dependencies be installed in your app for the component to properly function.

| Peer Dependency | Version |
|-|-|
| react | ^16.8.5 |
| react-dom | ^16.8.5 |
| react-intl | ^2.8.0 |

<!-- AUTO-GENERATED-CONTENT:END -->

## LICENSE

Copyright 2017 - 2019 Cerner Innovation, Inc.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

&nbsp;&nbsp;&nbsp;&nbsp;http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
